Method: customFieldValues.batchUpdate

Full name: projects.locations.instances.cases.customFieldValues.batchUpdate

Performs a bulk update of multiple custom field values in a single operation. Use this method for efficient recording of several data points simultaneously. Supports up to 1000 updates per request.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/customFieldValues:batchUpdate

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource, required for specifying the scope of the custom field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateCustomFieldValuesRequest)
    }
  ]
}
Fields
requests[]

object (UpdateCustomFieldValuesRequest)

Required. A maximum of 1000 values can be modified in a batch.

Response body

If successful, the response body contains an instance of BatchUpdateCustomFieldValuesResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.customFieldValues.update

For more information, see the IAM documentation.